Groovy 1.7.0

## org.codehaus.groovy.reflection
Class ClassInfo.LazyClassLoaderRef

    java.lang.Object
      java.util.concurrent.locks.AbstractOwnableSynchronizer
          java.util.concurrent.locks.AbstractQueuedSynchronizer
              org.codehaus.groovy.util.LockableObject
                  org.codehaus.groovy.util.LazyReference
                      org.codehaus.groovy.reflection.ClassInfo.LazyClassLoaderRef

    class ClassInfo.LazyClassLoaderRef
    extends LazyReference

Constructor Summary
`ClassInfo.LazyClassLoaderRef(ReferenceBundle bundle, ClassInfo info)`

Method Summary
`ClassLoaderForClassArtifacts` | `initValue()`

Methods inherited from class LazyReference
clear, get, initValue, toString

Methods inherited from class LockableObject
isHeldExclusively, lock, tryAcquire, tryRelease, unlock

Methods inherited from class AbstractQueuedSynchronizer

toString, acquireInterruptibly, getQueueLength, getQueuedThreads, getWaitQueueLength, getWaitingThreads, hasQueuedThreads, hasWaiters, isQueued, release, tryAcquireNanos, acquire, acquireShared, acquireSharedInterruptibly, getExclusiveQueuedThreads, getFirstQueuedThread, getSharedQueuedThreads, hasContended, hasQueuedPredecessors, owns, releaseShared, tryAcquireSharedNanos, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class AbstractOwnableSynchronizer
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ClassInfo.LazyClassLoaderRef

    public ClassInfo.LazyClassLoaderRef(ReferenceBundle bundle, ClassInfo info)

Method Detail

### initValue

    public ClassLoaderForClassArtifacts initValue()

Copyright © 2003-2009 The Codehaus. All rights reserved.